Update testsuite.

This commit is contained in:
Markus F.X.J. Oberhumer
2016-10-06 01:26:01 +02:00
parent d335d7bafd
commit 8f5e89c900
3 changed files with 75 additions and 31 deletions
+6 -4
View File
@@ -1,15 +1,17 @@
#!/bin/sh
set -e
#! /usr/bin/env bash
## vim:set ts=4 sw=4 et:
set -e; set -o pipefail
# NOTE: we are using clang-format-3.9.0 from upx-stubtools
# see https://github.com/upx/upx-stubtools/releases
CLANG_FORMAT="$HOME/local/bin/bin-upx/clang-format-3.9.0"
if ! test -f "$CLANG_FORMAT"; then
if [[ ! -f $CLANG_FORMAT ]]; then
CLANG_FORMAT="$HOME/bin/bin-upx/clang-format-3.9.0"
fi
if ! test -f "$CLANG_FORMAT"; then
if [[ ! -f $CLANG_FORMAT ]]; then
echo "ERROR: $0: cannot find clang-format-3.9.0"
echo "ERROR: $0: please visit https://github.com/upx/upx-stubtools/releases"
exit 1
fi